Routines
Queue an asynchronous routine dispatch
Queues an asynchronous dispatch for the specified routine.
Parameter header
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parameter jalur
routine_name
string
diperlukan
The unique name of the routine.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Isi Permintaan
payload
invoke_agent_responses_api | invoke_agent_invocations_api
Base model for a manual dispatch payload.
invoke_agent_responses_api
InvokeAgentResponsesApiDispatchPayload
A manual payload used to test a responses API routine dispatch.
type
enum
diperlukan
The manual dispatch payload type.
input
InvokeAgentResponsesApiDispatchPayload
diperlukan
The JSON value sent as the complete downstream responses input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.
invoke_agent_invocations_api
InvokeAgentInvocationsApiDispatchPayload
A manual payload used to test an invocations API routine dispatch.
type
enum
diperlukan
The manual dispatch payload type.
input
InvokeAgentInvocationsApiDispatchPayload
diperlukan
The JSON value sent as the complete downstream invocations input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.
Respons
The request has succeeded.
Isi
dispatch_id
string
The dispatch identifier created for the routine dispatch.
action_correlation_id
string
A downstream action correlation identifier, when available.
task_id
string
A workspace task identifier created for the dispatch, when available.
Minta
POST /routines/{routine_name}:dispatch_async HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json